unit full;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Menus, JPEG, Registry;

type
  Tf_fullscreen = class(TForm)
    i_fspeccy: TImage;
    popup_f: TPopupMenu;
    m_next: TMenuItem;
    m_prev: TMenuItem;
    m_rescan: TMenuItem;
    N1: TMenuItem;
    Disablefullscreenmode1: TMenuItem;
    N2: TMenuItem;
    m_fm_help: TMenuItem;
    procedure i_fspeccyDblClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure m_rescanClick(Sender: TObject);
    procedure m_prevClick(Sender: TObject);
    procedure m_nextClick(Sender: TObject);
    procedure m_fm_helpClick(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  f_fullscreen: Tf_fullscreen;

implementation

{$R *.DFM}

uses main, FmxUtils, reguse, constants;

procedure Tf_fullscreen.i_fspeccyDblClick(Sender: TObject);
begin
     hide;
end;

procedure Tf_fullscreen.FormCreate(Sender: TObject);
var
   lkey : string;
begin
      lkey:= 'Software\HA\SpecView SE';
     if read_reg(HKEY_CURRENT_USER, lkey, 'InverseON') = '1' then begin
      f_main.m_inv.checked:= true;
      f_main.makepic(6912);
      f_main.pb_progress.position:= 0;
     end;
     color:= f_main.color;      
end;

procedure Tf_fullscreen.m_rescanClick(Sender: TObject);
begin
     f_main.tb_rescanclick(sender);
end;

procedure Tf_fullscreen.m_prevClick(Sender: TObject);
begin
     f_main.tb_prevclick(sender);
end;

procedure Tf_fullscreen.m_nextClick(Sender: TObject);
begin
     f_main.tb_nextclick(sender);
end;

procedure Tf_fullscreen.m_fm_helpClick(Sender: TObject);
begin
     executefile(extractfilepath(paramstr(0))+'docs\readfull.html','','',SW_SHOWMAXIMIZED);
end;

procedure Tf_fullscreen.FormKeyPress(Sender: TObject; var Key: Char);
begin
     if (key = #27) then i_fspeccydblclick(sender);
end;

end.
